curl -X GET "https://api.onekhusa.com/sandbox/v1/merchants/accounts/getStatusChanges?MerchantAccountNumber=35253486" \
--header "Authorization: Bearer your-jwt-token" \
--header "Accept-Language: en"import requests
url = "https://api.onekhusa.com/sandbox/v1/merchants/accounts/getStatusChanges"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onekhusa.com/sandbox/v1/merchants/accounts/getStatusChanges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"capturedBy": "user@onekhusa.com",
"statusName": "Active",
"dateCreated": "2024-01-15T10:30:00Z",
"comments": "Merchant account activated after compliance review",
"reasonDescription": "Compliance Review Complete"
},
{
"capturedBy": "user@onekhusa.com",
"statusName": "Suspended",
"dateCreated": "2024-01-10T14:20:00Z",
"comments": "Suspended pending documentation",
"reasonDescription": "Pending Documentation"
},
{
"capturedBy": "admin@onekhusa.com",
"statusName": "Active",
"dateCreated": "2024-01-01T09:00:00Z",
"comments": "Initial merchant activation",
"reasonDescription": "New Merchant Activation"
}
]"<string>"Get Merchant Status Changes
This endpoint retrieves the history of merchant account status changes when users performs these actions namely merchant activation, suspension and blacklisting.
curl -X GET "https://api.onekhusa.com/sandbox/v1/merchants/accounts/getStatusChanges?MerchantAccountNumber=35253486" \
--header "Authorization: Bearer your-jwt-token" \
--header "Accept-Language: en"import requests
url = "https://api.onekhusa.com/sandbox/v1/merchants/accounts/getStatusChanges"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onekhusa.com/sandbox/v1/merchants/accounts/getStatusChanges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"capturedBy": "user@onekhusa.com",
"statusName": "Active",
"dateCreated": "2024-01-15T10:30:00Z",
"comments": "Merchant account activated after compliance review",
"reasonDescription": "Compliance Review Complete"
},
{
"capturedBy": "user@onekhusa.com",
"statusName": "Suspended",
"dateCreated": "2024-01-10T14:20:00Z",
"comments": "Suspended pending documentation",
"reasonDescription": "Pending Documentation"
},
{
"capturedBy": "admin@onekhusa.com",
"statusName": "Active",
"dateCreated": "2024-01-01T09:00:00Z",
"comments": "Initial merchant activation",
"reasonDescription": "New Merchant Activation"
}
]"<string>"Authorizations
Bearer authentication header of the form Bearer Token, Where accessToken is the access token used to authenticate the request.
Headers
Preferred language for the response
Query Parameters
The unique identifier of the merchant account
10000000 <= x <= 9999999935253486
Response
Success Response (200)
The username or identifier of the user who made the status change
"admin@onekhusa.com"
The name/description of the status that was set (e.g., "Active", "Suspended", "Blacklisted")
"Active"
The date and time when the status change occurred (ISO 8601)
"2024-01-15T10:30:00Z"
Additional comments or notes provided with the status change
"Merchant account activated after compliance review"
The description of the reason category used for this status change
"Compliance Review Complete"